import re
import string

non_character_names = [
    "A'",
    "O'",
    'A',
    'ACT',
    'DRAMATIS',
    'ESCALUS',
    'I',
    'I,',
    'O',
    'O,',
    'PAGE',
    'PROLOGUE',
    'SCENE',
]

titles = [
    'LORD',
    'KING',
    'QUEEN',
    'LADY',
]

WORD_RE = re.compile(r"\w']+")
exclude = set(string.punctuation)

def get_character_name(line):
    line = ''.join(ch for ch in line if ch not in exclude)
    test_names = line.split()
    if not test_names:
        return
    test_name = test_names[0]
    if test_name in titles:
        test_name += '' + test_names[1]
    if test_name.isupper() and test_name not in non_character_names:
        return test_name
